      function ffmhe3 (q)
      Implicit Real*8(a-h,o-z)
c *** see RH Landau, Program lpott, 1981; mods by m sagen
c     magnetuc ff of he3 from mcarcthy et al
c     q in f-1
c     cccc data a2,b2,c2/0.4277 ,0.207936,0.674041/
      Common /sec4/ a2,b2,c2,achn,acmn,wsn
c                                 /16727.0,522532.0,486954.0/2c,2b,2a at
c                                   /125226.0,33281.0,9693.0/2c,2b,2a at
      q2 = q*q
      rhl1 = 0.
      rhl = a2*q2
      If (rhl.ge.150.) GoTo 10
      rhl1 = exp(-rhl)
 10   rhl = c2*q2
      rhl2 = 0.
      If (rhl.ge.150.) GoTo 20
      rhl2 = -b2*q2*exp(-rhl)
 20   ffmhe3 = rhl1+rhl2
      Return
c**  this Program valid on ftn4 and ftn5 **
      End
